OGRE-Next: Ogre::ZipDataStream Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ZipDataStream Class Referencefinal
Core » Resources

Specialisation of DataStream to handle streaming data from zip archives. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::ZipDataStream:
[legend]

## Public Member Functions
| ZipDataStream (const String &name, ZZIP_FILE *zzipFile, size_t uncompressedSize)
| Constructor for creating named streams.
| ZipDataStream (ZZIP_FILE *zzipFile, size_t uncompressedSize)
| Unnamed constructor.
| ~ZipDataStream () override
void | close () override
| Close the stream; this makes further operations invalid.
bool | eof () const override
| Returns true if the stream has reached the end.
size_t | read (void *buf, size_t count) override
| Read the requisite number of bytes from the stream, stopping at the end of the file.
void | seek (size_t pos) override
| Repositions the read point to a specified byte.
void | skip (long count) override
| Skip a defined number of bytes.
size_t | tell () const override
| Repositions the read point to a specified byte.
size_t | write (const void *buf, size_t count) override
| Write the requisite number of bytes from the stream (only applicable to streams that are not read-only).
Public Member Functions inherited from Ogre::DataStream
| DataStream (const String &name, uint16 accessMode=READ)
| Constructor for creating named streams.
| DataStream (uint16 accessMode=READ)
| Constructor for creating unnamed streams.
virtual | ~DataStream ()
uint16 | getAccessMode () const
| Gets the access mode of the stream.
virtual String | getAsString ()
| Returns a String containing the entire stream.
virtual String | getLine (bool trimAfter=true)
| Returns a String containing the next line of data, optionally trimmed for whitespace.
const String & | getName ()
| Returns the name of the stream, if it has one.
virtual bool | isReadable () const
| Reports whether this stream is readable.
virtual bool | isWriteable () const
| Reports whether this stream is writeable.
template<typename T>
DataStream & | operator>> (T &val)
virtual size_t | readLine (char *buf, size_t maxCount, const String &delim="\n")
| Get a single line from the stream.
size_t | size () const
| Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.
virtual size_t | skipLine (const String &delim="\n")
| Skip a single line from the stream.

## Additional Inherited Members
Public Types inherited from Ogre::DataStream
enum | AccessMode { READ = 1 , WRITE = 2 }

## Detailed Description

Specialisation of DataStream to handle streaming data from zip archives.

## Constructor & Destructor Documentation

## ◆ ZipDataStream() [1/2]

Ogre::ZipDataStream::ZipDataStream | ( | ZZIP_FILE * | zzipFile,
|  | size_t | uncompressedSize )

Unnamed constructor.

## ◆ ZipDataStream() [2/2]

Ogre::ZipDataStream::ZipDataStream | ( | const String & | name,
|  | ZZIP_FILE * | zzipFile,
|  | size_t | uncompressedSize )

Constructor for creating named streams.

## ◆ ~ZipDataStream()

Ogre::ZipDataStream::~ZipDataStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ close()

void Ogre::ZipDataStream::close | ( |  | ) |
| overridevirtual

Close the stream; this makes further operations invalid.

Implements Ogre::DataStream.

## ◆ eof()

bool Ogre::ZipDataStream::eof | ( |  | ) | const
| overridevirtual

Returns true if the stream has reached the end.

Implements Ogre::DataStream.

## ◆ read()

size_t Ogre::ZipDataStream::read | ( | void * | buf,
|  | size_t | count )
| overridevirtual

Read the requisite number of bytes from the stream, stopping at the end of the file.

Parameters

  buf | Reference to a buffer pointer
  count | Number of bytes to read

Returns
  The number of bytes read

Implements Ogre::DataStream.

## ◆ seek()

void Ogre::ZipDataStream::seek | ( | size_t | pos | ) |
| overridevirtual

Repositions the read point to a specified byte.

Implements Ogre::DataStream.

## ◆ skip()

void Ogre::ZipDataStream::skip | ( | long | count | ) |
| overridevirtual

Skip a defined number of bytes.

This can also be a negative value, in which case the file pointer rewinds a defined number of bytes.

Implements Ogre::DataStream.

## ◆ tell()

size_t Ogre::ZipDataStream::tell | ( |  | ) | const
| overridevirtual

Repositions the read point to a specified byte.

Implements Ogre::DataStream.

## ◆ write()

size_t Ogre::ZipDataStream::write | ( | const void * | buf,
|  | size_t | count )
| overridevirtual

Write the requisite number of bytes from the stream (only applicable to streams that are not read-only).

Parameters

  buf | Pointer to a buffer containing the bytes to write
  count | Number of bytes to write

Returns
  The number of bytes written

Reimplemented from Ogre::DataStream.

The documentation for this class was generated from the following file:

- OgreZip.h